Bug 188701 - [PATCH] www/py-Lightbox: stage
Summary: [PATCH] www/py-Lightbox: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-16 19:20 UTC by Bartek Rutkowski
Modified: 2014-05-12 13:00 UTC (History)
1 user (show)

See Also:


Attachments
py-Lightbox-2.1.patch (889 bytes, patch)
2014-04-16 19:20 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-16 19:20:00 UTC
- Stage
- Add LICENSE
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-Lightbox/2.1_2/

Port maintainer (nivit@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-16 19:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2014-05-12 11:04:18 UTC
Responsible Changed
From-To: nivit->gerald

I'll look into this.
Comment 3 dfilter service freebsd_committer 2014-05-12 12:51:35 UTC
Author: gerald
Date: Mon May 12 11:51:30 2014
New Revision: 353807
URL: http://svnweb.freebsd.org/changeset/ports/353807
QAT: https://qat.redports.org/buildarchive/r353807/

Log:
  - Enable staging.
  - Add LICENSE (MIT).
  - Update URL which was broken.
  
  PR:		188701
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr (blanket pre-approval)

Modified:
  head/www/py-Lightbox/Makefile
  head/www/py-Lightbox/pkg-descr

Modified: head/www/py-Lightbox/Makefile
==============================================================================
--- head/www/py-Lightbox/Makefile	Mon May 12 11:39:23 2014	(r353806)
+++ head/www/py-Lightbox/Makefile	Mon May 12 11:51:30 2014	(r353807)
@@ -12,6 +12,8 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	nivit@FreeBSD.org
 COMMENT=	Lightbox photo display widget for TurboGears
 
+LICENSE=	MIT
+
 BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}TurboGears>=1.1.2:${PORTSDIR}/www/py-turbogears
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}scriptaculous>=1.8.1:${PORTSDIR}/www/py-scriptaculous
 
@@ -19,5 +21,4 @@ USES=		zip
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/www/py-Lightbox/pkg-descr
==============================================================================
--- head/www/py-Lightbox/pkg-descr	Mon May 12 11:39:23 2014	(r353806)
+++ head/www/py-Lightbox/pkg-descr	Mon May 12 11:51:30 2014	(r353807)
@@ -1,4 +1,4 @@
 Lightbox is a photo display widget for TurboGears
 
 Author: Lokesh Dhakar, Kevin Dangoor
-WWW:	http://www.turbogears.org/widgets/
+WWW: https://pypi.python.org/pypi/Lightbox
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Gerald Pfeifer freebsd_committer 2014-05-12 12:52:25 UTC
State Changed
From-To: open->closed

I tested and applied your patch, thank you. 

One thing I had to do here, and for some other patches of yours is 
adding a newline at the end of pkg-descr.  Mind keeping an eye on this 
for future submissions?